import { Datasource } from '../datasource';
import type { GetReleasesConfig, ReleaseResult } from '../types';
export declare class KubernetesApiDatasource extends Datasource {
    static readonly id = "kubernetes-api";
    private readonly kubernetesApiVersions;
    constructor();
    defaultVersioning: string;
    getReleases({ packageName, }: GetReleasesConfig): Promise<ReleaseResult | null>;
}
